Does TS v7.0.211_4_x86_64 Work w/TLS1.2?

Forums / NoMachine Terminal Server Products / Does TS v7.0.211_4_x86_64 Work w/TLS1.2?

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #31505
    Avatarm16191
    Participant

    Searched the installation doc, the forum, and KB, but didn’t find anything specifically verifying NoMachine Terminal Server configured for SSH connections will work with TLS v1.2. The install manual mentions NX can be configured for TLS/SSL, but even there never lists versions. What versions of TLS is NoMachine TS compatible with?

    #31581
    AvatarCarin
    Participant

    Hi m16191,

    I am not sure I understand your problem correctly.
    We have 3 protocols, NX , SSH and HTTP.

    Please note that SSH is not related to TLS, these are separated standards.

    The NX protocol is implemented using TLS/SSL standard and OpenSSL and it uses exactly TLS 1.2. TLS is a specification of SSL. HTTP, the third protocol, uses SSL as well which includes TLS 1.2 (and others).

    You can also check this article: https://www.nomachine.com/AR12K00768. Further reading about encryption is also available here: https://www.nomachine.com/AR10K00705

Viewing 2 posts - 1 through 2 (of 2 total)

This topic was marked as solved, you can't post.